Update a direct investment
PUT
/api/portfolio/assets/direct/{id}Path parameters
Request body
Body shape: Portfolio_UpdateDirectAssetRequest (required)
Responses
curl -X PUT https://your-url.com/kong/core/api/gateway/api/portfolio/assets/direct/{id}\
-H "Authorization: Bearer $DELIO_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"client_reference": "client_reference",
"name": "name",
"source": "source",
"source_id": "source_id",
"description": "description",
"class": "cash",
"currency": "currency",
"investor_subscription_distribution": true,
"manual_valuation": true,
"show_fund_activity_to_investors": true,
"investor_fund_investment_assignment": true,
"parent_asset_id": 1,
"subposition_type": "class",
"valuation": 1,
"valuation_date": "valuation_date",
"structure": "direct",
"vintage": 1900,
"stage": "pre_seed",
"sector_allocation": "sector_allocation",
"geographic_allocation": "geographic_allocation",
"percentage_ownership": 1,
"repayment_date": "repayment_date",
"interest_rate": "interest_rate",
"interest_payment_frequency": "interest_payment_frequency",
"conversion_date": "conversion_date",
"conversion_terms": "conversion_terms",
"location": "location"
}'